/* Common */
.season_switcher .dropdown {
    right: 2px;
    top: 2px;
}

.season_switcher_content h1 {
    margin-top: 0;
}

dl.race {
    display: flex;
    flex-flow: row wrap;
    width: 100%;
}

.block,
.list {
    width: 100%;
}

dt.section,
.race-link {
    margin-top: 2px;
}

.full-width,
.race .cell {
    height: 20px;
    line-height: 20px;
}

.full-width {
    box-sizing: border-box;
    padding: 0 3px;
    width: 100%;
}

.pos {
    font-weight: bold;
    margin-right: 2px;
    text-align: center;
    width: 20px;
}

.name,
.team {
    box-sizing: border-box;
    padding-left: 3px;
}

.not_held,
.cancelled,
.race-link {
    font-style: italic;
    text-align: center;
}

.not_held,
.cancelled {
    background-color: #ccccff;
}

/* Race Block */
.block li {
    box-sizing: border-box;
    width: 500px;
}

.block fieldset {
    margin-top: 0 !important;
}

.block .team,
.block .result,
.block .time {
    margin-left: 2px;
}

.block .lap {
    font-style: italic;
    margin-right: 2px;
    text-align: center;
    width: 45px;
}

.block .name {
    width: 210px;
}

.block .name.no-pos {
    width: 232px;
}

.block .name.fastest-lap {
    width: 185px;
}

.block .name.no-team {
    width: 384px;
}

.block .team {
    width: 172px;
}

.block .result,
.block .time {
    text-align: center;
    width: 80px;
}

/* Race List */
.list li {
    box-sizing: border-box;
}

.list .title-row {
    display: flex;
    flex-direction: column;
    height: 38px;
}

.list .round {
    font-size: 16px;
    line-height: 38px;
    text-align: center;
    width: 30px;
}

.list .head {
    box-sizing: border-box;
    margin: 0 2px;
    padding: 2px 5px;
    width: calc(100% - 82px);
}

.list .head name {
    font-size: 13px;
    line-height: 18px;
}

.list .head info {
    font-style: italic;
    font-weight: normal;
    line-height: 13px;
    text-align: right;
}

.list .flag {
    width: 48px;
}

.list .subhead {
    text-align: center;
}

.completed .subhead {
    margin-top: 2px;
}

.list .name {
    width: calc((100% - 24px) * 0.55);
}

.list .name.no-pos {
    width: calc((100% + 16px) * 0.55);
}

.list .name.no-team {
    width: calc(100% - 22px);
}

.list .team {
    margin-left: 2px;
    padding-right: 3px;
    width: calc((100% - 24px) * 0.45);
}

.list .team.no-link,
.list .team.with-link:not(:hover) {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* Separator */
h2 {
    font-size: 15px;
    margin: 20px 0 2px;
    padding: 2px 0 4px;
    text-align: center;
}

/* Responsive - Tablet/Mobile */
@media only screen and (max-width: 1001px) {
    /* Blocks */
    .block li,
    .list li {
        margin: 0 auto;
    }
}

/* Responsive - Less than block width (mobile?) */
@media only screen and (max-width: 514px) {
    .block li {
        width: 100%;
    }

    .block .name {
        width: calc((100% - 106px) * 0.55);
    }

    .block .name.no-pos {
        width: calc(((100% - 106px) * 0.55) + 22px);
    }

    .block .name.fastest-lap {
        width: calc(((100% - 106px) * 0.55) - 25px);
    }

    .block .name.no-team {
        width: calc(100% - 104px);
    }

    .block .team {
        width: calc((100% - 106px) * 0.45);
    }
}
